// DlgDevListImpl.h: interface for the CDlgDevListImpl class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DLGDEVLISTIMPL_H__DD481030_4A5E_4260_8D3E_A28E986FDDCF__INCLUDED_)
#define AFX_DLGDEVLISTIMPL_H__DD481030_4A5E_4260_8D3E_A28E986FDDCF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "devlist.h"
#include "common.h"

class CDlgDevListImpl : public DevList  
{
	Q_OBJECT
public:
	CDlgDevListImpl(DEV_DEF *pDevParam, int iDevNum, int iCurSel, QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0);
	virtual ~CDlgDevListImpl();

	int		m_iCurSelect;
	int		GetCurSelect(){return m_iCurSelect;};


public slots:
    virtual void ChangeSelectSlot();

protected slots:
    virtual void languageChange();
};

#endif // !defined(AFX_DLGDEVLISTIMPL_H__DD481030_4A5E_4260_8D3E_A28E986FDDCF__INCLUDED_)
