


//#include <util/util.h>
#include <stdlib.h>
#include <malloc.h>

#include "confrw_errno.h"
//#include "confrw.h"

#include "_confrw.h"
#include "Profile_Hash.h"

/*
 *	关闭配置文件句柄
 *
 *	参数
 *		handle	--	配置文件句柄
 *	
 *	返回值
 *		SUCCESS	--	成功的关闭了指定的配置文件句柄(包括资源释放等工作)
 *		其它	--	失败代码
 *
 *	备注
 *		如果输入的参数非配置文件(上下文)句柄, 则不作任何事.
 *
 */
int	conf_close ( void * handle )
{
	int ret = SUCCESS;

	if ( NULL == handle )
		return NULL;

	ret = close_profile_handle ( (HPROFILE )*(int *)handle );
	if ( SUCCESS != ret )
		return ret;

	free ( handle );

	return SUCCESS;
}
