
#include "common.h"

#ifndef __DISPLAY_H_ICL__
#define	__DISPLAY_H_ICL__

#define 	WHITE					0
#define 	DARKGRAY				1
#define 	RED						2
#define 	YELLOW					3
#define 	GREEN					4
#define 	CYAN					5
#define 	BLUE					6
#define 	MAGENTA					7
#define 	GRAY					8
#define 	BLACK					9
#define 	BROWN					10
#define	 	DYELLOW					11
#define 	DGREEN					12
#define 	DCYAN					13
#define 	DBLUE					14
#define 	DMAGENTA				15

#define		AI_DATA_DISP			4
#define		DI_DATA_DISP			5
#define		PI_DATA_DISP			6

#define		WATCH_DATA_DISP			8

#ifdef _WIN32
void RealAiDataDisp( HDC hdc );
void RealDiDataDisp( HDC hdc );
void RealPiDataDisp( HDC hdc );
void RealStatInfoDisp( HDC hdc );
void WatchDataDisp( HDC hdc );

int CheckDev( HDC hdc );
void DataDisp( HWND hWnd );

HFONT  NewFont( int nFSize );

void CaculateWH( HDC hdc, UINT *xWidth, UINT *yHeight,  char *szStr );

#endif

void PageUp( void );
void PageDown( void );
void PageHome( void );
void PageEnd( void );
void LineUp( void );
void LineDown( void );

// wen 2004.10.25 
int  GetCurPort();
int IsRealDataDisp();

#endif

